﻿@model web_app_voice.ModelsDto.TagsDto.TagListDto
@for (var i = 0; i < Model.tagList.Count(); i = i + 6)
{

    @for (int n = 0; n < 6; n++)
    {
        if (i + n < Model.tagList.Count())
        {
            <div class="col-lg-2 col-md-4 col-xs-6">
                <div class="panel @(Model.tagList[i+n].LastSeenDate > DateTime.UtcNow.AddDays(-4)
                                                        ? " panel-primary"
                                                        : Model.tagList[i+n].LastSeenDate < DateTime.UtcNow.AddDays(-4)
                                                        && Model.tagList[i+n].LastSeenDate > DateTime.UtcNow.AddDays(-7)
                                                        ? "panel-warning"
                                                        : "panel-danger")">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-lg-4 col-xs-4">
                                @switch (Model.tagList[i + n].Type)
                                {
                                    case 1:
                                        <img src="~/images/bus.png" style="height:45px; width:45px" />
                                        break;

                                    case 2:
                                        <img src="~/images/trolley.png" style="height:45px; width:45px" />
                                        break;

                                    case 3:
                                        <img src="~/images/stop.png" style="height:45px; width:45px" />
                                        break;
                                    default:
                                        <img src="~/images/unknown.png" style="height:45px; width:45px" />
                                        break;

                                }
                            </div>
                            <div class="col-lg-8  col-xs-8 text-left">
                                <div>@(Model.tagList[i + n].Instance != null && Model.tagList[i + n].Instance.Length >= 8 ? Model.tagList[i + n].Instance.Substring(4, 4) : "")</div>
                                <div>@Model.tagList[i + n].LastSeenDate.ToString("yyyy-MM-dd")</div>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <a href="@Url.Action("GetTagPreview", "Tags", new { id = Model.tagList[i + n].Id })">
                            <span class="pull-left">View Details</span>
                            <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                        </a>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
        }
    }

}